<?php

use Kirby\Toolkit\Date;
use LavenderBits\Squaby\Queue\Scheduler;

return [
    "description" => "Delivers newsletter issues according to schedule",
    "args" => [],
    "command" => static function ($cli): void {
        // First: Check site()->url() is set. Crash otherwise.
        if (site()->url() === "/") {
            $cli->error("site.url option needs to be set.");
            return;
        }

        // Actual queueing
        $queueingResult = Scheduler::queueAll();
        if ($queueingResult) {
            $cli->success("Queueing complete");
        }
        Scheduler::deliverAll();
        $cli->success("Deliveries complete");
    },
];
