<?php

use Kirby\Toolkit\Date;
use LavenderBits\Squaby\Queue\Scheduler;

return [
    "description" => "Manually schedule a newsletter issue for sending",
    "args" => [
        "issue" => [
            "description" => "The ID of the issue",
            "required" => true,
        ],
    ],
    "command" => static function ($cli): void {
        // First: Check site()->url() is set. Crash otherwise.
        if (site()->url() === "/") {
            $cli->error("site.url option needs to be set.");
            return;
        }

        // Actual manual scheduling
        $issue = page($cli->arg("issue"));
        if (!$issue) {
            $cli->error(
                "Issue with ID '" . $cli->arg("issue") . "' does not exist."
            );
            return;
        }
        Scheduler::scheduleIssue($issue, Date::now());
    },
];
