import clear from "esbuild-plugin-clear";
import { build } from "esbuild";

build({
  entryPoints: ["src/web/newsletter.js"],
  bundle: true,
  outdir: "assets",
  watch: process.argv.indexOf("--watch") > -1,
  minify: true,
  target: ["chrome106", "firefox105", "safari14", "edge104"],
  plugins: [clear("./assets")],
  sourcemap: process.argv.indexOf("--watch") > -1 ? "inline" : false,
  treeShaking: true,
  logLevel: "info",
  loader: {
    ".ttf": "file",
    ".otf": "file",
    ".woff": "file",
    ".woff2": "file",
    ".eot": "file",
    ".svg": "file",
  },
}).catch(() => process.exit(1));
