<?php

namespace LavenderBits\Squaby\Mail;

use Kirby\Toolkit\A;
use PHPMailer\PHPMailer\PHPMailer;

class Pigeon
{
    /**
     * Delivers a Mail message
     *
     * @param Mail $mail The mail to send
     *
     * @return bool True if sending was successful
     */
    public static function deliver(Mail $mail): bool
    {
        // TODO: Add nicer warning to deal with missing transport options
        // TODO: Test and, if working, document dynamic transport settings via a function in config.php
        $transport = option("squaby.transport", option("email.transport"));
        $mailData = $mail->serialize();
        return kirby()
            ->email(
                A::merge(
                    $mailData,
                    ["transport" => $transport],
                    [
                        "beforeSend" => function (PHPMailer $mailer) use (
                            $mail
                        ) {
                            if ($mail->unsubscribe !== null) {
                                $mailer->addCustomHeader(
                                    "List-Unsubscribe-Post",
                                    "List-Unsubscribe=One-Click"
                                );
                                $mailer->addCustomHeader(
                                    "List-Unsubscribe",
                                    "<" . $mail->unsubscribe . ">"
                                );
                            }
                        },
                    ]
                )
            )
            ->isSent();
    }
}
