<?php

namespace LavenderBits\Squaby\Mail;

use Kirby\Cms\Block;
use Kirby\Cms\Blocks;
use Throwable;

class TemplateService
{
    public static function renderBlocks(Blocks $blocks): string
    {
        $rBlocks = [];
        foreach ($blocks as $block) {
            /** @var Block $block */
            // Try email specific template first
            try {
                // This is essentially copy and pasted from Kirby\Cms\Block toHtml()
                $render = (string) snippet(
                    "blocks/email/" . $block->type(),
                    $block->controller(),
                    true
                );
                if (empty($render)) {
                    // Fallback to standard Kirby templates and behavior
                    $rBlocks[] = $block->toHtml();
                } else {
                    $rBlocks[] = $render;
                }
            } catch (Throwable $e) {
                // Fallback to standard Kirby templates and behavior for exceptions, too
                $rBlocks[] = $block->toHtml();
            }
        }

        return join("\n", $rBlocks);
    }
}
