export default class NewsletterAPI {
  newsletter;

  constructor(newsletter) {
    this.newsletter = newsletter;
  }

  /**
   * Check whether a string contains a valid e-mail address
   * @param {string} email - The string to validate
   * @returns {boolean} - Validation result
   */
  validateEmail(email) {
    return true;
  }

  /**
   * Submits a registration request to the Newsletter API
   * @param {string} page - The ID of the page that contains the newsletter field
   * @param {string} newsletter - The name of the newsletter field on the given page
   * @param {string} email - The e-mail to sign up with
   * @returns {Promise}  - Returns a promise that returns a JS object describing the server's response
   */
  async registerForNewsletter(email) {
    console.log(this);
    const req = await fetch("/newsletter-api/signup", {
      method: "post",
      body: JSON.stringify({
        email,
        newsletter: this.newsletter,
      }),
    });
    const res = await req.json();
    return res;
  }
}
